Scriptname _sycCCOUninstallerQuestScript extends Quest  
; This script just warns the player if the Character Creation Overhaul.esp file is not present. The actual uninstall function is in the Character Creation Overhaul.esp.

Import Debug


;---------------------------------------------------------------------------------------------------
;### MAIN SCRIPT ###
;---------------------------------------------------------------------------------------------------

Event OnInit()
	CheckStatus()
EndEvent

Event OnPlayerLoadGame()
	CheckStatus()
EndEvent

Function CheckStatus()
	;## Character Creation Overhaul.esp Activated ##
	If Game.GetFormFromFile(0x000012C4, "Character Creation Overhaul.esp")	; Check if Character Creation Overhaul.esp is activated
	;## Character Creation Overhaul.esp Not Present ##
	Else
		MessageBox("- CCO UNINSTALLER -\n\nIt appears you have deactivated or deleted the Character Creation Overhaul.esp which is required for the uninstaller to work. Please exit your game and reactivate the .esp file before running this uninstaller.")
	EndIf
EndFunction


;---------------------------------------------------------------------------------------------------
;### NOTES ###
;---------------------------------------------------------------------------------------------------

; For details on how to access variables in other mod's quest scripts see shayolog's response:
;http://forums.bethsoft.com/topic/1404284-accessing-global-variables-from-other-mods-in-scripts/page__view__findpost__p__21395887